%define modname xattr
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A27_%{modname}.ini

Summary:	Provides a interface to Extended attributes for PHP
Name:		php-%{modname}
Version:	1.0
Release:	%mkrel 9
Group:		Development/PHP
URL:		http://pecl.php.net/package/xattr
License:	PHP License
Source0:	xattr-%{version}.tar.bz2
Patch0:		xattr-1.0-version.diff.bz2
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	attr-devel
Provides:	php5-xattr
Obsoletes:	php5-xattr
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package allows to manipulate extended attributes on filesystems that
support them. Requires libattr from Linux XFS project.

%prep

%setup -q -n xattr-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-9
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-8mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-7mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-6mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-5mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-4mdk
- rebuilt against php-5.1.2

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-3mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-2mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-1mdk
- rebuilt against php-5.1.0RC4
- fix versioning

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.0-0.RC1.2mdk
- rebuilt to provide a -debug package too

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.0-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.0-1mdk
- rebuilt for php-5.0.2

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.0-1mdk
- initial mandrake package
